Bug 1070985 - (CVE-2014-0333) CVE-2014-0333 libpng: denial of service via png_push_read_chunk()
CVE-2014-0333 libpng: denial of service via png_push_read_chunk()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140225,repor...
: Security
Depends On: 1070987 1070988
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-27 16:17 EST by Vincent Danen
Modified: 2015-09-05 15:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: libpng 1.6.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-05 15:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2014-02-27 16:17:15 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-0333 to
the following vulnerability:

Name: CVE-2014-0333
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0333
Assigned: 20131205
Reference: CONFIRM:ftp://ftp.simplesystems.org/pub/png/src/libpng16/patch-libpng16-vu684412.diff
Reference: https://sourceforge.net/projects/libpng/files/libpng16/patch-libpng16-vu684412.diff
Reference: CERT-VN:VU#684412
Reference: http://www.kb.cert.org/vuls/id/684412

The png_push_read_chunk function in pngpread.c in the progressive
decoder in libpng 1.6.x through 1.6.9 allows remote attackers to cause
a denial of service (infinite loop and CPU consumption) via an IDAT
chunk with a length of zero.


The upstream commit is here:

http://sourceforge.net/p/libpng/code/ci/713a20c57d344b558e48ad8be157c2dd751c8815/

Note that this only affects libpng 1.6.0 through 1.6.9.
Comment 1 Vincent Danen 2014-02-27 16:23:08 EST
Statement:

Not vulnerable. This issue did not affect the versions of libpng as shipped with Red Hat Enterprise Linux 5 or 6.
Comment 2 Vincent Danen 2014-02-27 16:23:46 EST
Created libpng tracking bugs for this issue:

Affects: fedora-20 [bug 1070987]
Comment 3 Vincent Danen 2014-02-27 16:23:49 EST
Created mingw-libpng tracking bugs for this issue:

Affects: fedora-20 [bug 1070988]
Comment 4 Fedora Update System 2014-04-02 05:27:03 EDT
mingw-libpng-1.6.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.